OnlyFans API DocumentationOnlyFans API
Vault

List Vault Lists

List the media vault lists of a connected OnlyFans account, with media counts and previews.

Get the vault lists of a connected OnlyFans account, including the built-in Stories, Posts, Streams, Uploads and Messages lists. Each list has its media counts and previews; all totals the whole vault.

https://v1.onlyfansapi.io
GET
/api/{acct_id}/media/vault/lists

Headers

x-api-key*
string
Your API key. See Authentication.

Path Parameters

acct_id*
string
The connected account, as returned by Authenticate Account.

Query Parameters

limit ?
integer
Number of lists to return, 1 to 100. Defaults to 10.
offset ?
integer
Number of lists to skip. Defaults to 0.